repo/gentoo:master commit in: app-editors/vscode/

"Arthur Zamarin" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786025250.baed0c1b23368ff0a64fdb883d726534338e840e.arthurzam@gentoo>
commit:     baed0c1b23368ff0a64fdb883d726534338e840e
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Aug  6 13:44:59 2026 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Aug  6 14:07:30 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=baed0c1b

app-editors/vscode: add 1.132.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-editors/vscode/Manifest              |   3 +
 app-editors/vscode/vscode-1.132.0.ebuild | 161 +++++++++++++++++++++++++++++++
 2 files changed, 164 insertions(+)

diff --git a/app-editors/vscode/Manifest b/app-editors/vscode/Manifest
index d0df94687052..c57f38346fca 100644
--- a/app-editors/vscode/Manifest
+++ b/app-editors/vscode/Manifest
@@ -7,3 +7,6 @@ DIST vscode-1.130.0-arm64.tar.gz 339722237 BLAKE2B 2e66ff4a4e9a170609909c2f2b93f
 DIST vscode-1.131.0-amd64.tar.gz 339183283 BLAKE2B c1fc4ba54e610cde4b6fbc160d9a4c71522b8bf7679c0edd3d05758c1c937d60b2024c7f0b38e48ba7f53db6b2b84456bfda4831fc0ea34d4b7a2e6915ab5057 SHA512 d0aab44f611cecbeb01bf26c97a77b8a64a5a6d9e16ebb637e81c07d1391090900f23644c52e7be82cf924c045980db56d1d43ef44fe91ae2144865d03b0e718
 DIST vscode-1.131.0-arm.tar.gz 220291902 BLAKE2B 40f898e5727f9e8d4441aa952457c98e706d06e843270802aee88ec1819ce289cc2372c429dc173e3a8a176e98cbd95c561d5dc261a572786d5ac047b70b95e7 SHA512 e262045dc5825e06769094174e9dc86390800a49ab0d9b95dfe615e901637c2827211b629b27bcae576ba3868edcb83dbae063e88ae3962771180d525361ee6e
 DIST vscode-1.131.0-arm64.tar.gz 326191673 BLAKE2B e8a0da8679d28e61619c282aad94f496fcb48b9f4e9434889b1e29fc0028dc16abe3d377142b4164017df9add04fb92473789614a5b84d015b082890d193200c SHA512 89fcbf3f6160b447f57c91a92725f73a45085382a5c0fe268def7493cf9fe48d499a8da6633315dd48b392d6d214458a62a63c88bf20e65d5a839c92e0c1e317
+DIST vscode-1.132.0-amd64.tar.gz 350239470 BLAKE2B 8b1339f11a8f003d31e4327c688b61eddd0540dbcbc40e83a329fe2a16f77ea97552ab5cc0ed9a22a5bbc0a373dc7635377d5f227d680cfe4898c8a28fede5b9 SHA512 8455aa552b629b6948a56b6e61c07d137ccb8cfe65ce3c4bf612bbcb2112eff2dddf0d9d887d2dfafa06d42a835e07178238d7b399fba690cc5263ce76b722aa
+DIST vscode-1.132.0-arm.tar.gz 222320934 BLAKE2B e505d01dbffc81ffda62931df7760a25defba98b602a3fbf719263dfeab6beee419ffa99e533f0fd91cbc3bb454cde51ad45cc4d6325d8680278fee68cbc386e SHA512 41cd04c294e1769809bc60b1c1bff345ca4521f085c668a73cb75518e743f59d9312763b6008bc303b2bfbc87cc978d39c08525f39f24c16a119287a9e63373a
+DIST vscode-1.132.0-arm64.tar.gz 336526738 BLAKE2B 8f7099aa124695bee76ab56e39702e110e588ef0e855a6be83c199959714252573eb5e3e2a4dbdbef3a5ae2fbcbffc5aeb91443e4178726ca62a14d81ec8cee0 SHA512 32af2b17a74adc3dfcd73d9ae14c30af5908b6ac238aea2b99dea466a89f130f9a46083719d4a9c9d6e43126555da03df2f150081e737d385d1edc3582c1d3bd

diff --git a/app-editors/vscode/vscode-1.132.0.ebuild b/app-editors/vscode/vscode-1.132.0.ebuild
new file mode 100644
index 000000000000..9cf66870460a
--- /dev/null
+++ b/app-editors/vscode/vscode-1.132.0.ebuild
@@ -0,0 +1,161 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CHROMIUM_LANGS="af am ar bg bn ca cs da de el en-GB es es-419 et fa fi fil fr gu he
+	hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr
+	sv sw ta te th tr uk ur vi zh-CN zh-TW"
+
+inherit chromium-2 desktop optfeature pax-utils shell-completion xdg
+
+DESCRIPTION="Multiplatform Visual Studio Code from Microsoft"
+HOMEPAGE="https://code.visualstudio.com"
+SRC_URI="
+	amd64? ( https://update.code.visualstudio.com/${PV}/linux-x64/stable -> ${P}-amd64.tar.gz )
+	arm? ( https://update.code.visualstudio.com/${PV}/linux-armhf/stable -> ${P}-arm.tar.gz )
+	arm64? ( https://update.code.visualstudio.com/${PV}/linux-arm64/stable -> ${P}-arm64.tar.gz )
+"
+S="${WORKDIR}"
+
+LICENSE="
+	Apache-2.0
+	BSD
+	BSD-1
+	BSD-2
+	BSD-4
+	CC-BY-4.0
+	ISC
+	LGPL-2.1+
+	Microsoft-vscode
+	MIT
+	MPL-2.0
+	openssl
+	PYTHON
+	TextMate-bundle
+	Unlicense
+	UoI-NCSA
+	W3C
+"
+SLOT="0"
+KEYWORDS="-* amd64 ~arm arm64"
+IUSE="egl wayland webkit"
+RESTRICT="mirror strip bindist"
+
+RDEPEND="
+	|| (
+		sys-apps/systemd
+		sys-apps/systemd-utils
+	)
+	>=app-accessibility/at-spi2-core-2.46.0:2
+	app-crypt/libsecret[crypt]
+	app-misc/ca-certificates
+	dev-libs/expat
+	dev-libs/glib:2
+	dev-libs/nspr
+	dev-libs/nss
+	media-libs/alsa-lib
+	media-libs/libglvnd
+	media-libs/mesa
+	net-misc/curl
+	sys-apps/dbus
+	virtual/zlib:=
+	sys-process/lsof
+	x11-libs/cairo
+	x11-libs/gtk+:3
+	x11-libs/libdrm
+	x11-libs/libX11
+	x11-libs/libxcb
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libxkbcommon
+	x11-libs/libxkbfile
+	x11-libs/libXrandr
+	x11-libs/libXScrnSaver
+	x11-libs/pango
+	x11-misc/xdg-utils
+	webkit? (
+		net-libs/libsoup:3.0
+		net-libs/webkit-gtk:4.1
+	)
+"
+
+QA_PREBUILT="*"
+
+src_unpack() {
+	default
+	mv "${S}"/VSCode-linux-* "${S}/vscode" || die
+}
+
+src_configure() {
+	default
+	chromium_suid_sandbox_check_kernel_config
+}
+
+src_prepare() {
+	default
+	pushd "vscode/locales" > /dev/null || die
+	chromium_remove_language_paks
+	popd > /dev/null || die
+}
+
+src_install() {
+	cd vscode || die
+
+	# Disable update server
+	sed -e "/updateUrl/d" -i ./resources/app/product.json || die
+
+	if ! use webkit; then
+		rm -r ./resources/app/extensions/microsoft-authentication || die
+	fi
+
+	# Install
+	pax-mark m code
+	mkdir -p "${ED}/opt/${PN}" || die
+	cp -r . "${ED}/opt/${PN}" || die
+	fperms 4711 /opt/${PN}/chrome-sandbox
+
+	dosym -r "/opt/${PN}/bin/code" "usr/bin/vscode"
+	dosym -r "/opt/${PN}/bin/code" "usr/bin/code"
+
+	local EXEC_EXTRA_FLAGS=()
+	if use wayland; then
+		EXEC_EXTRA_FLAGS+=( "--ozone-platform-hint=auto" "--enable-wayland-ime" )
+	fi
+	if use egl; then
+		EXEC_EXTRA_FLAGS+=( "--use-gl=egl" )
+	fi
+
+	sed "s|@exec_extra_flags@|${EXEC_EXTRA_FLAGS[*]}|g" \
+		"${FILESDIR}/code-url-handler.desktop" \
+		> "${T}/code-url-handler.desktop" || die
+
+	sed "s|@exec_extra_flags@|${EXEC_EXTRA_FLAGS[*]}|g" \
+		"${FILESDIR}/code.desktop" \
+		> "${T}/code.desktop" || die
+
+	domenu "${T}/code.desktop"
+	domenu "${T}/code-url-handler.desktop"
+	newicon "resources/app/resources/linux/code.png" "vscode.png"
+
+	# Install metainfo
+	insinto /usr/share/metainfo
+	doins "${FILESDIR}/code.appdata.xml"
+
+	# Install MIME type definitions
+	insinto /usr/share/mime/packages
+	doins "${FILESDIR}/code-workspace.xml"
+
+	# Install completions
+	newbashcomp resources/completions/bash/code code
+	newzshcomp resources/completions/zsh/_code _code
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	optfeature "desktop notifications" x11-libs/libnotify
+	optfeature "keyring support inside vscode" "virtual/secret-service"
+	optfeature "Live Share" dev-libs/icu
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.